<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_13) on Fri Feb 08 19:40:59 CET 2008 -->
<META http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
<TITLE>
Uses of Class org.apache.commons.httpclient.cookie.MalformedCookieException (HttpClient 3.1 API)
</TITLE>


<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="Uses of Class org.apache.commons.httpclient.cookie.MalformedCookieException (HttpClient 3.1 API)";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../org/apache/commons/httpclient/cookie/MalformedCookieException.html" title="class in org.apache.commons.httpclient.cookie"><FONT CLASS="NavBarFont1"><B>Class</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Use</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../index.html?org/apache/commons/httpclient/cookie//class-useMalformedCookieException.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="MalformedCookieException.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<CENTER>
<H2>
<B>Uses of Class<br>org.apache.commons.httpclient.cookie.MalformedCookieException</B></H2>
</CENTER>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Packages that use <A HREF="../../../../../../org/apache/commons/httpclient/cookie/MalformedCookieException.html" title="class in org.apache.commons.httpclient.cookie">MalformedCookieException</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#org.apache.commons.httpclient.cookie"><B>org.apache.commons.httpclient.cookie</B></A></TD>
<TD>Provides cookie handling in conjunction with <A HREF="../../../../../../org/apache/commons/httpclient/Cookie.html" title="class in org.apache.commons.httpclient"><CODE>Cookie</CODE></A>.&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="org.apache.commons.httpclient.cookie"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../../org/apache/commons/httpclient/cookie/MalformedCookieException.html" title="class in org.apache.commons.httpclient.cookie">MalformedCookieException</A> in <A HREF="../../../../../../org/apache/commons/httpclient/cookie/package-summary.html">org.apache.commons.httpclient.cookie</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../../org/apache/commons/httpclient/cookie/package-summary.html">org.apache.commons.httpclient.cookie</A> that throw <A HREF="../../../../../../org/apache/commons/httpclient/cookie/MalformedCookieException.html" title="class in org.apache.commons.httpclient.cookie">MalformedCookieException</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>CookieAttributeHandler.</B><B><A HREF="../../../../../../org/apache/commons/httpclient/cookie/CookieAttributeHandler.html#parse(org.apache.commons.httpclient.Cookie, java.lang.String)">parse</A></B>(<A HREF="../../../../../../org/apache/commons/httpclient/Cookie.html" title="class in org.apache.commons.httpclient">Cookie</A>&nbsp;cookie,
      <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Parse the given cookie attribute value and update the corresponding
 <A HREF="../../../../../../org/apache/commons/httpclient/Cookie.html" title="class in org.apache.commons.httpclient"><CODE>Cookie</CODE></A> property.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../org/apache/commons/httpclient/Cookie.html" title="class in org.apache.commons.httpclient">Cookie</A>[]</CODE></FONT></TD>
<TD><CODE><B>RFC2965Spec.</B><B><A HREF="../../../../../../org/apache/commons/httpclient/cookie/RFC2965Spec.html#parse(java.lang.String, int, java.lang.String, boolean, org.apache.commons.httpclient.Header)">parse</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;host,
      int&nbsp;port,
      <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;path,
      boolean&nbsp;secure,
      <A HREF="../../../../../../org/apache/commons/httpclient/Header.html" title="class in org.apache.commons.httpclient">Header</A>&nbsp;header)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Parses the Set-Cookie2 value into an array of <tt>Cookie</tt>s.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../org/apache/commons/httpclient/Cookie.html" title="class in org.apache.commons.httpclient">Cookie</A>[]</CODE></FONT></TD>
<TD><CODE><B>IgnoreCookiesSpec.</B><B><A HREF="../../../../../../org/apache/commons/httpclient/cookie/IgnoreCookiesSpec.html#parse(java.lang.String, int, java.lang.String, boolean, org.apache.commons.httpclient.Header)">parse</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;host,
      int&nbsp;port,
      <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;path,
      boolean&nbsp;secure,
      <A HREF="../../../../../../org/apache/commons/httpclient/Header.html" title="class in org.apache.commons.httpclient">Header</A>&nbsp;header)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns an empty <A HREF="../../../../../../org/apache/commons/httpclient/Cookie.html" title="class in org.apache.commons.httpclient"><CODE>cookie</CODE></A> array.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../org/apache/commons/httpclient/Cookie.html" title="class in org.apache.commons.httpclient">Cookie</A>[]</CODE></FONT></TD>
<TD><CODE><B>CookieSpecBase.</B><B><A HREF="../../../../../../org/apache/commons/httpclient/cookie/CookieSpecBase.html#parse(java.lang.String, int, java.lang.String, boolean, org.apache.commons.httpclient.Header)">parse</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;host,
      int&nbsp;port,
      <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;path,
      boolean&nbsp;secure,
      <A HREF="../../../../../../org/apache/commons/httpclient/Header.html" title="class in org.apache.commons.httpclient">Header</A>&nbsp;header)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Parse the <tt>"Set-Cookie"</tt> <A HREF="../../../../../../org/apache/commons/httpclient/Header.html" title="class in org.apache.commons.httpclient"><CODE>Header</CODE></A> into an array of <A HREF="../../../../../../org/apache/commons/httpclient/Cookie.html" title="class in org.apache.commons.httpclient"><CODE>Cookie</CODE></A>s.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../org/apache/commons/httpclient/Cookie.html" title="class in org.apache.commons.httpclient">Cookie</A>[]</CODE></FONT></TD>
<TD><CODE><B>CookieSpec.</B><B><A HREF="../../../../../../org/apache/commons/httpclient/cookie/CookieSpec.html#parse(java.lang.String, int, java.lang.String, boolean, org.apache.commons.httpclient.Header)">parse</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;host,
      int&nbsp;port,
      <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;path,
      boolean&nbsp;secure,
      <A HREF="../../../../../../org/apache/commons/httpclient/Header.html" title="class in org.apache.commons.httpclient">Header</A>&nbsp;header)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Parse the <tt>"Set-Cookie"</tt> Header into an array of Cookies.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../org/apache/commons/httpclient/Cookie.html" title="class in org.apache.commons.httpclient">Cookie</A>[]</CODE></FONT></TD>
<TD><CODE><B>NetscapeDraftSpec.</B><B><A HREF="../../../../../../org/apache/commons/httpclient/cookie/NetscapeDraftSpec.html#parse(java.lang.String, int, java.lang.String, boolean, java.lang.String)">parse</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;host,
      int&nbsp;port,
      <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;path,
      boolean&nbsp;secure,
      <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;header)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Parses the Set-Cookie value into an array of <tt>Cookie</tt>s.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../org/apache/commons/httpclient/Cookie.html" title="class in org.apache.commons.httpclient">Cookie</A>[]</CODE></FONT></TD>
<TD><CODE><B>RFC2965Spec.</B><B><A HREF="../../../../../../org/apache/commons/httpclient/cookie/RFC2965Spec.html#parse(java.lang.String, int, java.lang.String, boolean, java.lang.String)">parse</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;host,
      int&nbsp;port,
      <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;path,
      boolean&nbsp;secure,
      <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;header)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../org/apache/commons/httpclient/Cookie.html" title="class in org.apache.commons.httpclient">Cookie</A>[]</CODE></FONT></TD>
<TD><CODE><B>IgnoreCookiesSpec.</B><B><A HREF="../../../../../../org/apache/commons/httpclient/cookie/IgnoreCookiesSpec.html#parse(java.lang.String, int, java.lang.String, boolean, java.lang.String)">parse</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;host,
      int&nbsp;port,
      <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;path,
      boolean&nbsp;secure,
      <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;header)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns an empty <A HREF="../../../../../../org/apache/commons/httpclient/Cookie.html" title="class in org.apache.commons.httpclient"><CODE>cookie</CODE></A> array.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../org/apache/commons/httpclient/Cookie.html" title="class in org.apache.commons.httpclient">Cookie</A>[]</CODE></FONT></TD>
<TD><CODE><B>CookieSpecBase.</B><B><A HREF="../../../../../../org/apache/commons/httpclient/cookie/CookieSpecBase.html#parse(java.lang.String, int, java.lang.String, boolean, java.lang.String)">parse</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;host,
      int&nbsp;port,
      <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;path,
      boolean&nbsp;secure,
      <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;header)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Parses the Set-Cookie value into an array of <tt>Cookie</tt>s.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../org/apache/commons/httpclient/Cookie.html" title="class in org.apache.commons.httpclient">Cookie</A>[]</CODE></FONT></TD>
<TD><CODE><B>CookieSpec.</B><B><A HREF="../../../../../../org/apache/commons/httpclient/cookie/CookieSpec.html#parse(java.lang.String, int, java.lang.String, boolean, java.lang.String)">parse</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;host,
      int&nbsp;port,
      <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;path,
      boolean&nbsp;secure,
      <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;header)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Parse the <tt>"Set-Cookie"</tt> header value into Cookie array.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>NetscapeDraftSpec.</B><B><A HREF="../../../../../../org/apache/commons/httpclient/cookie/NetscapeDraftSpec.html#parseAttribute(org.apache.commons.httpclient.NameValuePair, org.apache.commons.httpclient.Cookie)">parseAttribute</A></B>(<A HREF="../../../../../../org/apache/commons/httpclient/NameValuePair.html" title="class in org.apache.commons.httpclient">NameValuePair</A>&nbsp;attribute,
               <A HREF="../../../../../../org/apache/commons/httpclient/Cookie.html" title="class in org.apache.commons.httpclient">Cookie</A>&nbsp;cookie)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Parse the cookie attribute and update the corresponsing <A HREF="../../../../../../org/apache/commons/httpclient/Cookie.html" title="class in org.apache.commons.httpclient"><CODE>Cookie</CODE></A>
 properties as defined by the Netscape draft specification</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>RFC2965Spec.</B><B><A HREF="../../../../../../org/apache/commons/httpclient/cookie/RFC2965Spec.html#parseAttribute(org.apache.commons.httpclient.NameValuePair, org.apache.commons.httpclient.Cookie)">parseAttribute</A></B>(<A HREF="../../../../../../org/apache/commons/httpclient/NameValuePair.html" title="class in org.apache.commons.httpclient">NameValuePair</A>&nbsp;attribute,
               <A HREF="../../../../../../org/apache/commons/httpclient/Cookie.html" title="class in org.apache.commons.httpclient">Cookie</A>&nbsp;cookie)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Parse RFC 2965 specific cookie attribute and update the corresponsing
 <A HREF="../../../../../../org/apache/commons/httpclient/Cookie.html" title="class in org.apache.commons.httpclient"><CODE>Cookie</CODE></A> properties.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>IgnoreCookiesSpec.</B><B><A HREF="../../../../../../org/apache/commons/httpclient/cookie/IgnoreCookiesSpec.html#parseAttribute(org.apache.commons.httpclient.NameValuePair, org.apache.commons.httpclient.Cookie)">parseAttribute</A></B>(<A HREF="../../../../../../org/apache/commons/httpclient/NameValuePair.html" title="class in org.apache.commons.httpclient">NameValuePair</A>&nbsp;attribute,
               <A HREF="../../../../../../org/apache/commons/httpclient/Cookie.html" title="class in org.apache.commons.httpclient">Cookie</A>&nbsp;cookie)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Does nothing.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>RFC2109Spec.</B><B><A HREF="../../../../../../org/apache/commons/httpclient/cookie/RFC2109Spec.html#parseAttribute(org.apache.commons.httpclient.NameValuePair, org.apache.commons.httpclient.Cookie)">parseAttribute</A></B>(<A HREF="../../../../../../org/apache/commons/httpclient/NameValuePair.html" title="class in org.apache.commons.httpclient">NameValuePair</A>&nbsp;attribute,
               <A HREF="../../../../../../org/apache/commons/httpclient/Cookie.html" title="class in org.apache.commons.httpclient">Cookie</A>&nbsp;cookie)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Parse RFC 2109 specific cookie attribute and update the corresponsing
 <A HREF="../../../../../../org/apache/commons/httpclient/Cookie.html" title="class in org.apache.commons.httpclient"><CODE>Cookie</CODE></A> properties.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>CookieSpecBase.</B><B><A HREF="../../../../../../org/apache/commons/httpclient/cookie/CookieSpecBase.html#parseAttribute(org.apache.commons.httpclient.NameValuePair, org.apache.commons.httpclient.Cookie)">parseAttribute</A></B>(<A HREF="../../../../../../org/apache/commons/httpclient/NameValuePair.html" title="class in org.apache.commons.httpclient">NameValuePair</A>&nbsp;attribute,
               <A HREF="../../../../../../org/apache/commons/httpclient/Cookie.html" title="class in org.apache.commons.httpclient">Cookie</A>&nbsp;cookie)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Parse the cookie attribute and update the corresponsing <A HREF="../../../../../../org/apache/commons/httpclient/Cookie.html" title="class in org.apache.commons.httpclient"><CODE>Cookie</CODE></A>
 properties.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>CookieSpec.</B><B><A HREF="../../../../../../org/apache/commons/httpclient/cookie/CookieSpec.html#parseAttribute(org.apache.commons.httpclient.NameValuePair, org.apache.commons.httpclient.Cookie)">parseAttribute</A></B>(<A HREF="../../../../../../org/apache/commons/httpclient/NameValuePair.html" title="class in org.apache.commons.httpclient">NameValuePair</A>&nbsp;attribute,
               <A HREF="../../../../../../org/apache/commons/httpclient/Cookie.html" title="class in org.apache.commons.httpclient">Cookie</A>&nbsp;cookie)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Parse the cookie attribute and update the corresponsing Cookie 
  properties.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>CookieAttributeHandler.</B><B><A HREF="../../../../../../org/apache/commons/httpclient/cookie/CookieAttributeHandler.html#validate(org.apache.commons.httpclient.Cookie, org.apache.commons.httpclient.cookie.CookieOrigin)">validate</A></B>(<A HREF="../../../../../../org/apache/commons/httpclient/Cookie.html" title="class in org.apache.commons.httpclient">Cookie</A>&nbsp;cookie,
         <A HREF="../../../../../../org/apache/commons/httpclient/cookie/CookieOrigin.html" title="class in org.apache.commons.httpclient.cookie">CookieOrigin</A>&nbsp;origin)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Peforms cookie validation for the given attribute value.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>NetscapeDraftSpec.</B><B><A HREF="../../../../../../org/apache/commons/httpclient/cookie/NetscapeDraftSpec.html#validate(java.lang.String, int, java.lang.String, boolean, org.apache.commons.httpclient.Cookie)">validate</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;host,
         int&nbsp;port,
         <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;path,
         boolean&nbsp;secure,
         <A HREF="../../../../../../org/apache/commons/httpclient/Cookie.html" title="class in org.apache.commons.httpclient">Cookie</A>&nbsp;cookie)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Performs Netscape draft compliant <A HREF="../../../../../../org/apache/commons/httpclient/Cookie.html" title="class in org.apache.commons.httpclient"><CODE>Cookie</CODE></A> validation</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>RFC2965Spec.</B><B><A HREF="../../../../../../org/apache/commons/httpclient/cookie/RFC2965Spec.html#validate(java.lang.String, int, java.lang.String, boolean, org.apache.commons.httpclient.Cookie)">validate</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;host,
         int&nbsp;port,
         <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;path,
         boolean&nbsp;secure,
         <A HREF="../../../../../../org/apache/commons/httpclient/Cookie.html" title="class in org.apache.commons.httpclient">Cookie</A>&nbsp;cookie)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Performs RFC 2965 compliant <A HREF="../../../../../../org/apache/commons/httpclient/Cookie.html" title="class in org.apache.commons.httpclient"><CODE>Cookie</CODE></A> validation</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>IgnoreCookiesSpec.</B><B><A HREF="../../../../../../org/apache/commons/httpclient/cookie/IgnoreCookiesSpec.html#validate(java.lang.String, int, java.lang.String, boolean, org.apache.commons.httpclient.Cookie)">validate</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;host,
         int&nbsp;port,
         <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;path,
         boolean&nbsp;secure,
         <A HREF="../../../../../../org/apache/commons/httpclient/Cookie.html" title="class in org.apache.commons.httpclient">Cookie</A>&nbsp;cookie)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Does nothing.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>RFC2109Spec.</B><B><A HREF="../../../../../../org/apache/commons/httpclient/cookie/RFC2109Spec.html#validate(java.lang.String, int, java.lang.String, boolean, org.apache.commons.httpclient.Cookie)">validate</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;host,
         int&nbsp;port,
         <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;path,
         boolean&nbsp;secure,
         <A HREF="../../../../../../org/apache/commons/httpclient/Cookie.html" title="class in org.apache.commons.httpclient">Cookie</A>&nbsp;cookie)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Performs RFC 2109 compliant <A HREF="../../../../../../org/apache/commons/httpclient/Cookie.html" title="class in org.apache.commons.httpclient"><CODE>Cookie</CODE></A> validation</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>CookieSpecBase.</B><B><A HREF="../../../../../../org/apache/commons/httpclient/cookie/CookieSpecBase.html#validate(java.lang.String, int, java.lang.String, boolean, org.apache.commons.httpclient.Cookie)">validate</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;host,
         int&nbsp;port,
         <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;path,
         boolean&nbsp;secure,
         <A HREF="../../../../../../org/apache/commons/httpclient/Cookie.html" title="class in org.apache.commons.httpclient">Cookie</A>&nbsp;cookie)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Performs most common <A HREF="../../../../../../org/apache/commons/httpclient/Cookie.html" title="class in org.apache.commons.httpclient"><CODE>Cookie</CODE></A> validation</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>CookieSpec.</B><B><A HREF="../../../../../../org/apache/commons/httpclient/cookie/CookieSpec.html#validate(java.lang.String, int, java.lang.String, boolean, org.apache.commons.httpclient.Cookie)">validate</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;host,
         int&nbsp;port,
         <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;path,
         boolean&nbsp;secure,
         <A HREF="../../../../../../org/apache/commons/httpclient/Cookie.html" title="class in org.apache.commons.httpclient">Cookie</A>&nbsp;cookie)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Validate the cookie according to validation rules defined by the 
  cookie specification.</TD>
</TR>
</TABLE>
&nbsp;
<P>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../org/apache/commons/httpclient/cookie/MalformedCookieException.html" title="class in org.apache.commons.httpclient.cookie"><FONT CLASS="NavBarFont1"><B>Class</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Use</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../index.html?org/apache/commons/httpclient/cookie//class-useMalformedCookieException.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="MalformedCookieException.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>
Copyright &copy; 2001-2008 Apache Software Foundation. All Rights Reserved.
</BODY>
</HTML>
